<?xml version="1.0" encoding="utf-8"?>
<!--XBRL document created by Certent Disclosure Management 25.4.0.1 -->
<!--Based on XBRL 2.1-->
<!--Created on: 4/27/2026 3:02:38 PM-->
<!--Modified on: 4/27/2026 3:02:38 PM-->
<linkbase xmlns="http://www.xbrl.org/2003/linkbase" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xlink="http://www.w3.org/1999/xlink" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <roleRef xlink:type="simple" xlink:href="emyb-20260617.xsd#DocumentDocumentAndEntityInformation" roleURI="http://www.embassybank.com/role/DocumentDocumentAndEntityInformation"></roleRef>
  <roleRef xlink:type="simple" xlink:href="emyb-20260617.xsd#DisclosurePayVsPerformanceDisclosures" roleURI="http://www.embassybank.com/role/DisclosurePayVsPerformanceDisclosures"></roleRef>
  <roleRef xlink:type="simple" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#AwardTimingDisclosure" roleURI="http://xbrl.sec.gov/ecd/role/AwardTimingDisclosure"></roleRef>
  <roleRef xlink:type="simple" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#InsiderTradingPoliciesProc" roleURI="http://xbrl.sec.gov/ecd/role/InsiderTradingPoliciesProc"></roleRef>
  <presentationLink xlink:role="http://www.embassybank.com/role/DocumentDocumentAndEntityInformation" xlink:type="extended" xlink:title="000090 - Document - Document and Entity Information">
    <loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/dei/2025/dei-2025.xsd#dei_CoverAbstract" xlink:label="dei_CoverAbstract"></loc>
    <loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/dei/2025/dei-2025.xsd#dei_DocumentType" xlink:label="dei_DocumentType_639128989529338842"></loc>
    <presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="dei_CoverAbstract" xlink:to="dei_DocumentType_639128989529338842" order="1" use="optional" priority="2"></presentationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/dei/2025/dei-2025.xsd#dei_EntityRegistrantName" xlink:label="dei_EntityRegistrantName_639128989529378934"></loc>
    <presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="dei_CoverAbstract" xlink:to="dei_EntityRegistrantName_639128989529378934" order="2" use="optional" priority="4"></presentationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/dei/2025/dei-2025.xsd#dei_EntityCentralIndexKey" xlink:label="dei_EntityCentralIndexKey_639128989529378934"></loc>
    <presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="dei_CoverAbstract" xlink:to="dei_EntityCentralIndexKey_639128989529378934" order="3" use="optional" priority="4"></presentationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/dei/2025/dei-2025.xsd#dei_AmendmentFlag" xlink:label="dei_AmendmentFlag_639128989529378934"></loc>
    <presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="dei_CoverAbstract" xlink:to="dei_AmendmentFlag_639128989529378934" order="4" use="optional" priority="5"></presentationArc></presentationLink>
  <presentationLink xlink:role="http://www.embassybank.com/role/DisclosurePayVsPerformanceDisclosures" xlink:type="extended" xlink:title="995410 - Disclosure - Pay vs Performance Disclosures">
    <loc xlink:type="locator" xlink:href="emyb-20260617.xsd#emyb_PayVsPerformanceDisclosuresAbstract" xlink:label="emyb_PayVsPerformanceDisclosuresAbstract"></loc>
    <loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#ecd_PvpTable" xlink:label="ecd_PvpTable_639128989529378934"></loc>
    <presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="emyb_PayVsPerformanceDisclosuresAbstract" xlink:to="ecd_PvpTable_639128989529378934" order="1" use="optional" priority="2"></presentationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#ecd_ExecutiveCategoryAxis" xlink:label="ecd_ExecutiveCategoryAxis_639128989529378934"></loc>
    <presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_PvpTable_639128989529378934" xlink:to="ecd_ExecutiveCategoryAxis_639128989529378934" order="1" use="optional" priority="2"></presentationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#ecd_AllExecutiveCategoriesMember" xlink:label="ecd_AllExecutiveCategoriesMember_639128989529378934"></loc>
    <presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_ExecutiveCategoryAxis_639128989529378934" xlink:to="ecd_AllExecutiveCategoriesMember_639128989529378934" order="1" use="optional" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"></presentationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#ecd_PeoMember" xlink:label="ecd_PeoMember_639128989529404135"></loc>
    <presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_AllExecutiveCategoriesMember_639128989529378934" xlink:to="ecd_PeoMember_639128989529404135" order="1" use="optional" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"></presentationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#ecd_NonPeoNeoMember" xlink:label="ecd_NonPeoNeoMember_639128989529414125"></loc>
    <presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_AllExecutiveCategoriesMember_639128989529378934" xlink:to="ecd_NonPeoNeoMember_639128989529414125" order="2" use="optional" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"></presentationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#ecd_AdjToCompAxis" xlink:label="ecd_AdjToCompAxis_639128989529414125"></loc>
    <presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_PvpTable_639128989529378934" xlink:to="ecd_AdjToCompAxis_639128989529414125" order="2" use="optional" priority="2"></presentationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#ecd_AllAdjToCompMember" xlink:label="ecd_AllAdjToCompMember_639128989529414125"></loc>
    <presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_AdjToCompAxis_639128989529414125" xlink:to="ecd_AllAdjToCompMember_639128989529414125" order="1" use="optional" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"></presentationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#ecd_EqtyAwrdsAdjsExclgValRprtdInSummryCompstnTblMember" xlink:label="ecd_EqtyAwrdsAdjsExclgValRprtdInSummryCompstnTblMember_639128989529414125"></loc>
    <presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_AllAdjToCompMember_639128989529414125" xlink:to="ecd_EqtyAwrdsAdjsExclgValRprtdInSummryCompstnTblMember_639128989529414125" order="1" use="optional" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"></presentationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#ecd_YrEndFrValOfEqtyAwrdsGrntdInCvrdYrOutsdngAndUnvstdMember" xlink:label="ecd_YrEndFrValOfEqtyAwrdsGrntdInCvrdYrOutsdngAndUnvstdMember_639128989529414125"></loc>
    <presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_AllAdjToCompMember_639128989529414125" xlink:to="ecd_YrEndFrValOfEqtyAwrdsGrntdInCvrdYrOutsdngAndUnvstdMember_639128989529414125" order="2" use="optional" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"></presentationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#ecd_ChngInFrValOfOutsdngAndUnvstdEqtyAwrdsGrntdInPrrYrsMember" xlink:label="ecd_ChngInFrValOfOutsdngAndUnvstdEqtyAwrdsGrntdInPrrYrsMember_639128989529414125"></loc>
    <presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_AllAdjToCompMember_639128989529414125" xlink:to="ecd_ChngInFrValOfOutsdngAndUnvstdEqtyAwrdsGrntdInPrrYrsMember_639128989529414125" order="3" use="optional" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"></presentationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#ecd_ChngInFrValAsOfVstngDtOfPrrYrEqtyAwrdsVstdInCvrdYrMember" xlink:label="ecd_ChngInFrValAsOfVstngDtOfPrrYrEqtyAwrdsVstdInCvrdYrMember_639128989529414125"></loc>
    <presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_AllAdjToCompMember_639128989529414125" xlink:to="ecd_ChngInFrValAsOfVstngDtOfPrrYrEqtyAwrdsVstdInCvrdYrMember_639128989529414125" order="4" use="optional" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"></presentationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#ecd_DvddsOrOthrErngsPdOnEqtyAwrdsNtOthrwsRflctdInTtlCompForCvrdYrMember" xlink:label="ecd_DvddsOrOthrErngsPdOnEqtyAwrdsNtOthrwsRflctdInTtlCompForCvrdYrMember_639128989529414125"></loc>
    <presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_AllAdjToCompMember_639128989529414125" xlink:to="ecd_DvddsOrOthrErngsPdOnEqtyAwrdsNtOthrwsRflctdInTtlCompForCvrdYrMember_639128989529414125" order="5" use="optional" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"></presentationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#ecd_PayVsPerformanceDisclosureLineItems" xlink:label="ecd_PayVsPerformanceDisclosureLineItems_639128989529414125"></loc>
    <presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_PvpTable_639128989529378934" xlink:to="ecd_PayVsPerformanceDisclosureLineItems_639128989529414125" order="3" use="optional" priority="2"></presentationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#ecd_PvpTableTextBlock" xlink:label="ecd_PvpTableTextBlock_639128989529414125"></loc>
    <presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_PayVsPerformanceDisclosureLineItems_639128989529414125" xlink:to="ecd_PvpTableTextBlock_639128989529414125" order="1" use="optional" preferredLabel="http://www.xbrl.org/2003/role/terseLabel" priority="9"></presentationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#ecd_NamedExecutiveOfficersFnTextBlock" xlink:label="ecd_NamedExecutiveOfficersFnTextBlock_639128989529424133"></loc>
    <presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_PayVsPerformanceDisclosureLineItems_639128989529414125" xlink:to="ecd_NamedExecutiveOfficersFnTextBlock_639128989529424133" order="2" use="optional" preferredLabel="http://www.xbrl.org/2003/role/terseLabel" priority="9"></presentationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#ecd_PeoTotalCompAmt" xlink:label="ecd_PeoTotalCompAmt_639128989529424133"></loc>
    <presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_PayVsPerformanceDisclosureLineItems_639128989529414125" xlink:to="ecd_PeoTotalCompAmt_639128989529424133" order="3" use="optional" preferredLabel="http://www.xbrl.org/2003/role/terseLabel" priority="9"></presentationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#ecd_PeoActuallyPaidCompAmt" xlink:label="ecd_PeoActuallyPaidCompAmt_639128989529424133"></loc>
    <presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_PayVsPerformanceDisclosureLineItems_639128989529414125" xlink:to="ecd_PeoActuallyPaidCompAmt_639128989529424133" order="4" use="optional" preferredLabel="http://www.xbrl.org/2003/role/terseLabel" priority="9"></presentationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#ecd_NonPeoNeoAvgTotalCompAmt" xlink:label="ecd_NonPeoNeoAvgTotalCompAmt_639128989529424133"></loc>
    <presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_PayVsPerformanceDisclosureLineItems_639128989529414125" xlink:to="ecd_NonPeoNeoAvgTotalCompAmt_639128989529424133" order="5" use="optional" preferredLabel="http://www.xbrl.org/2003/role/terseLabel" priority="9"></presentationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#ecd_NonPeoNeoAvgCompActuallyPaidAmt" xlink:label="ecd_NonPeoNeoAvgCompActuallyPaidAmt_639128989529424133"></loc>
    <presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_PayVsPerformanceDisclosureLineItems_639128989529414125" xlink:to="ecd_NonPeoNeoAvgCompActuallyPaidAmt_639128989529424133" order="6" use="optional" preferredLabel="http://www.xbrl.org/2003/role/terseLabel" priority="9"></presentationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#ecd_TotalShareholderRtnAmt" xlink:label="ecd_TotalShareholderRtnAmt_639128989529424133"></loc>
    <presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_PayVsPerformanceDisclosureLineItems_639128989529414125" xlink:to="ecd_TotalShareholderRtnAmt_639128989529424133" order="7" use="optional" preferredLabel="http://www.xbrl.org/2003/role/terseLabel" priority="9"></presentationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_NetIncomeLoss" xlink:label="us-gaap_NetIncomeLoss_639128989529424133"></loc>
    <presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_PayVsPerformanceDisclosureLineItems_639128989529414125" xlink:to="us-gaap_NetIncomeLoss_639128989529424133" order="8" use="optional" preferredLabel="http://www.xbrl.org/2003/role/terseLabel" priority="1"></presentationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#ecd_PeoName" xlink:label="ecd_PeoName_639128989529424133"></loc>
    <presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_PayVsPerformanceDisclosureLineItems_639128989529414125" xlink:to="ecd_PeoName_639128989529424133" order="9" use="optional" preferredLabel="http://www.xbrl.org/2003/role/terseLabel" priority="9"></presentationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#ecd_AdjToPeoCompFnTextBlock" xlink:label="ecd_AdjToPeoCompFnTextBlock_639128989529424133"></loc>
    <presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_PayVsPerformanceDisclosureLineItems_639128989529414125" xlink:to="ecd_AdjToPeoCompFnTextBlock_639128989529424133" order="10" use="optional" preferredLabel="http://www.xbrl.org/2003/role/terseLabel" priority="9"></presentationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#ecd_AdjToNonPeoNeoCompFnTextBlock" xlink:label="ecd_AdjToNonPeoNeoCompFnTextBlock_639128989529424133"></loc>
    <presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_PayVsPerformanceDisclosureLineItems_639128989529414125" xlink:to="ecd_AdjToNonPeoNeoCompFnTextBlock_639128989529424133" order="11" use="optional" preferredLabel="http://www.xbrl.org/2003/role/terseLabel" priority="9"></presentationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#ecd_CompActuallyPaidVsTotalShareholderRtnTextBlock" xlink:label="ecd_CompActuallyPaidVsTotalShareholderRtnTextBlock_639128989529424133"></loc>
    <presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_PayVsPerformanceDisclosureLineItems_639128989529414125" xlink:to="ecd_CompActuallyPaidVsTotalShareholderRtnTextBlock_639128989529424133" order="12" use="optional" preferredLabel="http://www.xbrl.org/2003/role/terseLabel" priority="9"></presentationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#ecd_AdjToCompAmt" xlink:label="ecd_AdjToCompAmt_639128989529509491"></loc>
    <presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_PayVsPerformanceDisclosureLineItems_639128989529414125" xlink:to="ecd_AdjToCompAmt_639128989529509491" order="13" use="optional" priority="2"></presentationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#ecd_CompActuallyPaidVsNetIncomeTextBlock" xlink:label="ecd_CompActuallyPaidVsNetIncomeTextBlock_639128989529509491"></loc>
    <presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_PayVsPerformanceDisclosureLineItems_639128989529414125" xlink:to="ecd_CompActuallyPaidVsNetIncomeTextBlock_639128989529509491" order="14" use="optional" preferredLabel="http://www.xbrl.org/2003/role/terseLabel" priority="9"></presentationArc></presentationLink>
  <presentationLink xlink:role="http://xbrl.sec.gov/ecd/role/AwardTimingDisclosure" xlink:type="extended" xlink:title="995443 - Disclosure - Award Timing Disclosure">
    <loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#ecd_AwardTmgDiscLineItems" xlink:label="AwardTmgDiscLineItems"></loc>
    <loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#ecd_AwardTmgMnpiDiscTextBlock" xlink:label="ecd_AwardTmgMnpiDiscTextBlock_639128989529509491"></loc>
    <presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="AwardTmgDiscLineItems" xlink:to="ecd_AwardTmgMnpiDiscTextBlock_639128989529509491" order="1" use="optional" preferredLabel="http://www.xbrl.org/2003/role/terseLabel" priority="9"></presentationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#ecd_AwardTmgMethodTextBlock" xlink:label="ecd_AwardTmgMethodTextBlock_639128989529509491"></loc>
    <presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="AwardTmgDiscLineItems" xlink:to="ecd_AwardTmgMethodTextBlock_639128989529509491" order="2" use="optional" preferredLabel="http://www.xbrl.org/2003/role/terseLabel" priority="9"></presentationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#ecd_AwardTmgMnpiCnsdrdFlag" xlink:label="ecd_AwardTmgMnpiCnsdrdFlag_639128989529509491"></loc>
    <presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="AwardTmgDiscLineItems" xlink:to="ecd_AwardTmgMnpiCnsdrdFlag_639128989529509491" order="3" use="optional" preferredLabel="http://www.xbrl.org/2003/role/terseLabel" priority="9"></presentationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#ecd_AwardTmgHowMnpiCnsdrdTextBlock" xlink:label="ecd_AwardTmgHowMnpiCnsdrdTextBlock_639128989529509491"></loc>
    <presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="AwardTmgDiscLineItems" xlink:to="ecd_AwardTmgHowMnpiCnsdrdTextBlock_639128989529509491" order="4" use="optional" preferredLabel="http://www.xbrl.org/2003/role/terseLabel" priority="9"></presentationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#ecd_MnpiDiscTimedForCompValFlag" xlink:label="ecd_MnpiDiscTimedForCompValFlag_639128989529509491"></loc>
    <presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="AwardTmgDiscLineItems" xlink:to="ecd_MnpiDiscTimedForCompValFlag_639128989529509491" order="5" use="optional" preferredLabel="http://www.xbrl.org/2003/role/terseLabel" priority="9"></presentationArc></presentationLink>
  <presentationLink xlink:role="http://xbrl.sec.gov/ecd/role/InsiderTradingPoliciesProc" xlink:type="extended" xlink:title="995447 - Disclosure - Insider Trading Policies and Procedures">
    <loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#ecd_InsiderTradingPoliciesProcLineItems" xlink:label="InsiderTradingPoliciesProcLineItems"></loc>
    <loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#ecd_InsiderTrdPoliciesProcAdoptedFlag" xlink:label="ecd_InsiderTrdPoliciesProcAdoptedFlag_639128989529509491"></loc>
    <presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="InsiderTradingPoliciesProcLineItems" xlink:to="ecd_InsiderTrdPoliciesProcAdoptedFlag_639128989529509491" order="1" use="optional" preferredLabel="http://www.xbrl.org/2003/role/terseLabel" priority="9"></presentationArc></presentationLink></linkbase>